summaryrefslogtreecommitdiff
path: root/tests/tests/ftpmasterapi-http
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2019-08-16 10:00:50 +0100
committerSean Whitton <spwhitton@spwhitton.name>2019-08-16 10:00:50 +0100
commit0569aa2c25dc3374d9d51dfea9dc09be2fa6e510 (patch)
tree4af4ab614da0ebe6cfc858e845367994c9396a85 /tests/tests/ftpmasterapi-http
parentfa3ba6501e1f62bda0f2f455555abe3ba1588b15 (diff)
parent690ba12221518b883a1895ca6be8243c1f39640b (diff)
Merge tag 'debian/9.7' into buster-bpo
dgit release 9.7 for unstable (sid) [dgit] [dgit distro=debian no-split] # gpg: Signature made Sun 11 Aug 2019 01:11:36 AM BST # gpg: using RSA key 559AE46C2D6B6D3265E7CBA1E3E3392348B50D39 # gpg: Can't check signature: No public key
Diffstat (limited to 'tests/tests/ftpmasterapi-http')
-rwxr-xr-xtests/tests/ftpmasterapi-http19
1 files changed, 19 insertions, 0 deletions
diff --git a/tests/tests/ftpmasterapi-http b/tests/tests/ftpmasterapi-http
new file mode 100755
index 0000000..818a974
--- /dev/null
+++ b/tests/tests/ftpmasterapi-http
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-archive-none example
+
+t-dependencies libhttp-server-simple-static-perl
+
+$troot/http-static-server >$tmp/must-clean/api.port $tmp/aq
+
+read <$tmp/must-clean/api.port api_port
+
+t-git-config --global dgit-distro.test-dummy.archive-query ftpmasterapi:
+t-git-config --global dgit-distro.test-dummy.archive-query-url \
+ http://127.0.0.1:$api_port/
+
+t-dgit archive-api-query suites
+
+t-ok